Create product
POST /products
POST
/products
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
string
Request Body
Section titled “Request Body ”object
sku
string | null
name
required
string
description
string | null
salesDescription
string | null
type
string
categoryId
integer | null
costPrice
string | null
sellPrice
string | null
unit
string | null
manufacturerId
integer | null
manufacturerCode
string | null
isKit
boolean
isActive
boolean
buyTaxPercent
string | null
sellTaxPercent
string | null
qboId
string | null
qboSyncToken
string | null
qboLastSyncedAt
string | null
deletedAt
string | null
Responses
Section titled “ Responses ”Created
object
data
required
object
id
required
integer
sku
required
string
name
required
string
description
required
string | null
type
required
string
categoryId
required
integer | null
costPrice
required
string | null
sellPrice
required
string | null
unit
required
string | null
manufacturerId
required
integer | null
manufacturerCode
required
string | null
isKit
required
boolean
isActive
required
boolean
meta
required
object
request_id
Server-generated request identifier
string
pagination
object
cursor
required
Opaque cursor for the next page; null when no more results
string | null
has_more
required
Whether more pages are available after this one
boolean
count
required
Items in this page
integer
Error
object
type
required
URL identifying the problem type
string format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Error
object
type
required
URL identifying the problem type
string format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string